<!--
  The context now has a key named "user" in it.

  The User instance has a property "is_authenticated"
  on it.

  If the user is authenticated, display their email
  address in the indicated paragraph tag. Otherwise,
  have it show the "Not logged in" message.

  You can test this by logging in and out of the django admin.
-->
{% extends 'base.html' %}
{% load static %}
{% block title %}Problem 012 {% endblock title %}
{% block content %}
        <main>
            <!-- if the user is authenticated -->
            {% if user.is_authenticated %}

            <p class="email">{{ user.email|default_if_none:"no email" }}</p>

            <!-- otherwise -->
            {% else %}
            <p class="message">Not logged in</p>

            {% endif %}
            <!-- end if -->
        </main>
{% endblock content %}
